CSFML
Data Fields
sfKeyEvent Struct Reference

Keyboard event parameters. More...

`#include <Event.h>`

## Data Fields

sfEventType | type
sfKeyCode | code
sfBool | alt
sfBool | control
sfBool | shift
sfBool | system

## Detailed Description

Keyboard event parameters.

Definition at line 76 of file Event.h.

## Field Documentation

## ◆ alt

sfBool sfKeyEvent::alt

Definition at line 80 of file Event.h.

## ◆ code

sfKeyCode sfKeyEvent::code

Definition at line 79 of file Event.h.

## ◆ control

sfBool sfKeyEvent::control

Definition at line 81 of file Event.h.

## ◆ shift

sfBool sfKeyEvent::shift

Definition at line 82 of file Event.h.

## ◆ system

sfBool sfKeyEvent::system

Definition at line 83 of file Event.h.

## ◆ type

sfEventType sfKeyEvent::type

Definition at line 78 of file Event.h.

The documentation for this struct was generated from the following file:

- Event.h